﻿using DataSharing.Share.Enums;
using XF.Utility.EnumExtensions;

namespace DataSharing.Share.Dtos.WebPortal
{
    public class DsSendTaskDto
    {
        /// <summary>
        /// 省工单编号
        /// </summary>
        public string? ProvinceNo { get; set; }

        /// <summary>
        /// 任务优先级(0:最低级别)
        /// </summary>
        public int TaskPriority { get; set; }

        /// <summary>
        /// 初次推送时间
        /// </summary>
        public DateTime? FirstTime { get; set; }

        /// <summary>
        /// 最近一次推送时间
        /// </summary>
        public DateTime? LastTime { get; set; }

        /// <summary>
        /// 推送次数
        /// </summary>
        public int SendTimes { get; set; }

        /// <summary>
        /// 推送成功
        /// </summary>
        public bool IsSuccess { get; set; }

        /// <summary>
        /// 平台名称
        /// </summary>
        public EPlatformSource PlatformSource { get; set; } = EPlatformSource.Province;
        public string PlatformSourceText => PlatformSource.GetDescription();

        /// <summary>
        /// 任务类型
        /// addOrder, expiredTimeChanged...
        /// </summary>
        public string TaskType { get; set; }

        /// <summary>
        /// 请求方式
        /// </summary>
        public string HttpMethod { get; set; }

        /// <summary>
        /// 请求地址
        /// </summary>
        public string Path { get; set; }

        /// <summary>
        /// 请求参数
        /// </summary>
        public string Request { get; set; }

        /// <summary>
        /// 请求端口，省推送必填，协同或者汇聚
        /// </summary>
        public EPathType? PathType { get; set; } = EPathType.Other;

        /// <summary>
        /// 生成时间（保存工单创建时间或者通话记录生成时间）
        /// </summary>
        public DateTime? GenerationTime { get; set; }

        /// <summary>
        /// 附件
        /// </summary>
        public List<FileJson>? FileJson { get; set; }



    }
}
